| OpenCV 3.4.3 Open Source Computer Vision

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::CvHOGEvaluator Class Reference
Tracking API

`#include "feature.hpp"`

Inheritance diagram for cv::CvHOGEvaluator:

## Classes
class | Feature

## Public Member Functions
virtual | ~CvHOGEvaluator ()
virtual void | init (const CvFeatureParams *_featureParams, int _maxSampleCount, Size _winSize) CV_OVERRIDE
virtual float | operator() (int varIdx, int sampleIdx) CV_OVERRIDE
virtual void | setImage (const Mat &img, uchar clsLabel, int idx) CV_OVERRIDE
virtual void | writeFeatures (FileStorage &fs, const Mat &featureMap) const CV_OVERRIDE
Public Member Functions inherited from cv::CvFeatureEvaluator
virtual | ~CvFeatureEvaluator ()
const Mat & | getCls () const
float | getCls (int si) const
int | getFeatureSize () const
int | getMaxCatCount () const
int | getNumFeatures () const

## Protected Member Functions
virtual void | generateFeatures () CV_OVERRIDE
virtual void | integralHistogram (const Mat &img, std::vector< Mat > &histogram, Mat &norm, int nbins) const

## Protected Attributes
std::vector< Feature > | features
std::vector< Mat > | hist
Mat | normSum
Protected Attributes inherited from cv::CvFeatureEvaluator
Mat | cls
CvFeatureParams * | featureParams
int | nneg
int | npos
int | numFeatures
Size | winSize

## Additional Inherited Members
Static Public Member Functions inherited from cv::CvFeatureEvaluator
static Ptr< CvFeatureEvaluator > | create (int type)

## Constructor & Destructor Documentation

## § ~CvHOGEvaluator()

virtual cv::CvHOGEvaluator::~CvHOGEvaluator | ( |  | ) |
| inline virtual

## Member Function Documentation

## § generateFeatures()

virtual void cv::CvHOGEvaluator::generateFeatures | ( |  | ) |
| protected virtual

Implements cv::CvFeatureEvaluator.

## § init()

virtual void cv::CvHOGEvaluator::init | ( | const CvFeatureParams * | _featureParams,
|  | int | _maxSampleCount,
|  | Size | _winSize
| ) |  |
| virtual

Reimplemented from cv::CvFeatureEvaluator.

## § integralHistogram()

virtual void cv::CvHOGEvaluator::integralHistogram | ( | const Mat & | img,
|  | std::vector< Mat > & | histogram,
|  | Mat & | norm,
|  | int | nbins
| ) |  | const
| protected virtual

## § setImage()

virtual void cv::CvHOGEvaluator::setImage | ( | const Mat & | img,
|  | uchar | clsLabel,
|  | int | idx
| ) |  |
| virtual

Reimplemented from cv::CvFeatureEvaluator.

## § writeFeatures()

virtual void cv::CvHOGEvaluator::writeFeatures | ( | FileStorage & | fs,
|  | const Mat & | featureMap
| ) |  | const
| virtual

Implements cv::CvFeatureEvaluator.

## Member Data Documentation

## § features

std::vector<Feature> cv::CvHOGEvaluator::features
| protected

## § hist

std::vector<Mat> cv::CvHOGEvaluator::hist
| protected

## § normSum

Mat cv::CvHOGEvaluator::normSum
| protected

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/feature.hpp